Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.ocsp
Class BasicOCSPResponse

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.ocsp.BasicOCSPResponse

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class BasicOCSPResponse
extends ASN1Object

OCSP RFC 2560, RFC 6960 BasicOCSPResponse ::= SEQUENCE { tbsResponseData ResponseData, signatureAlgorithm AlgorithmIdentifier, signature BIT STRING, certs [0] EXPLICIT SEQUENCE OF Certificate OPTIONAL }

Constructor Summary
`BasicOCSPResponse(ResponseData tbsResponseData, AlgorithmIdentifier signatureAlgorithm, DERBitString signature, ASN1Sequence certs)`

Method Summary
`ASN1Sequence` | `getCerts()`
`static BasicOCSPResponse` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
`static BasicOCSPResponse` | `getInstance(java.lang.Object obj)`
`DERBitString` | `getSignature()`
`AlgorithmIdentifier` | `getSignatureAlgorithm()`
`ResponseData` | `getTbsResponseData()`
`ASN1Primitive` | `toASN1Primitive()` Produce an object suitable for an ASN1OutputStream.

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicOCSPResponse

    public BasicOCSPResponse(ResponseData tbsResponseData,
                             AlgorithmIdentifier signatureAlgorithm,
                             DERBitString signature,
                             ASN1Sequence certs)

Method Detail

### getInstance

    public static BasicOCSPResponse getInstance(ASN1TaggedObject obj,
                                                boolean explicit)

### getInstance

    public static BasicOCSPResponse getInstance(java.lang.Object obj)

### getTbsResponseData

    public ResponseData getTbsResponseData()

### getSignatureAlgorithm

    public AlgorithmIdentifier getSignatureAlgorithm()

### getSignature

    public DERBitString getSignature()

### getCerts

    public ASN1Sequence getCerts()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Produce an object suitable for an ASN1OutputStream. BasicOCSPResponse ::= SEQUENCE { tbsResponseData ResponseData, signatureAlgorithm AlgorithmIdentifier, signature BIT STRING, certs [0] EXPLICIT SEQUENCE OF Certificate OPTIONAL }

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD